Description: Support the hybrid GNU/kFreeBSD
  Add support for the hybrid combination of kFreeBSD with the GNU libc,
  which supports kqueue natively but still requires the libbsd overlay.
Author: Yuri D'Elia <wavexx@thregr.org>
Forwarded: not-needed
Updated: 2019-10-24

--- /dev/null
+++ b/Makefile.kfreebsd
@@ -0,0 +1,6 @@
+PKG_CONFIG ?= pkg-config
+CFLAGS += -D_GNU_SOURCE $(shell $(PKG_CONFIG) --cflags libbsd-overlay)
+LDFLAGS += $(shell $(PKG_CONFIG) --libs libbsd-overlay)
+MANPREFIX ?= ${PREFIX}/share/man
+
+include Makefile.bsd
--- a/configure
+++ b/configure
@@ -8,6 +8,7 @@
 case `uname` in
     Darwin) copy_mk macos ;;
     Linux)  copy_mk linux ;;
+    GNU/kFreeBSD) copy_mk kfreebsd ;;
     *)      copy_mk bsd ;;
 esac
 
